cl.cromer.mt

## Class TablaData

- java.lang.Object
- - cl.cromer.mt.TablaData

    public class TablaData
    extends java.lang.Object

Esta clase se usa para organizar las columnas de un TableView

### Property Summary

All Methods Instance Methods Concrete Methods
`javafx.beans.property.SimpleStringProperty` `primera` Devolver la primera string property
`javafx.beans.property.SimpleStringProperty` `segunda` Devolver la segunda string property

### Field Summary

Fields
`private javafx.beans.property.SimpleStringProperty` `primera` La primera columna de la fila
`private javafx.beans.property.SimpleStringProperty` `segunda` La segunda columna de la fila

### Constructor Summary

Constructors
Constructor and Description
`TablaData(javafx.beans.property.SimpleStringProperty primera, javafx.beans.property.SimpleStringProperty segunda)` Esta constructor recibe los nombres de las columnas
`TablaData(java.lang.String primera, java.lang.String segunda)` Esta constructor recibe los nombres de las columnas y los va a convertir a SimpleStringProperty

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getPrimera()` Developer el nombre de la primera columna
`java.lang.String` `getSegunda()` Developer el nombre de la segunda columna
`javafx.beans.property.SimpleStringProperty` `primeraProperty()` Devolver la primera string property
`javafx.beans.property.SimpleStringProperty` `segundaProperty()` Devolver la segunda string property
`void` `setPrimera(java.lang.String primera)` Cambiar el nombre de primera columna
`void` `setSegunda(java.lang.String segunda)` Cambiar el nombre de segunda columna

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Property Detail

#### primera

    public javafx.beans.property.SimpleStringProperty primeraProperty

Devolver la primera string property

Returns:
  La primera

#### segunda

    public javafx.beans.property.SimpleStringProperty segundaProperty

Devolver la segunda string property

Returns:
  La segunda

### Field Detail

#### primera

    private final javafx.beans.property.SimpleStringProperty primera

La primera columna de la fila

#### segunda

    private final javafx.beans.property.SimpleStringProperty segunda

La segunda columna de la fila

### Constructor Detail

#### TablaData

    public TablaData(javafx.beans.property.SimpleStringProperty primera,
                     javafx.beans.property.SimpleStringProperty segunda)

Esta constructor recibe los nombres de las columnas

Parameters:
  `primera` - La primera columna
  `segunda` - La segunda columna

#### TablaData

    public TablaData(java.lang.String primera,
                     java.lang.String segunda)

Esta constructor recibe los nombres de las columnas y los va a convertir a SimpleStringProperty

Parameters:
  `primera` - La primera columna
  `segunda` - La segunda columna

### Method Detail

#### getPrimera

    public java.lang.String getPrimera()

Developer el nombre de la primera columna

Returns:
  El nombre

#### setPrimera

    public void setPrimera(java.lang.String primera)

Cambiar el nombre de primera columna

Parameters:
  `primera` - El nombre de primera columna

#### primeraProperty

    public javafx.beans.property.SimpleStringProperty primeraProperty()

Devolver la primera string property

Returns:
  La primera

#### getSegunda

    public java.lang.String getSegunda()

Developer el nombre de la segunda columna

Returns:
  El nombre

#### setSegunda

    public void setSegunda(java.lang.String segunda)

Cambiar el nombre de segunda columna

Parameters:
  `segunda` - El nombre de segunda columna

#### segundaProperty

    public javafx.beans.property.SimpleStringProperty segundaProperty()

Devolver la segunda string property

Returns:
  La segunda